﻿@model IEnumerable<Appointments.Entities.Prescription>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

@if (User.IsInRole("Admin"))
{<p>
    @Html.ActionLink("Create New", "Create")
</p>}
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Directions)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Quantity)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Directions)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Quantity)
        </td>
        <td>
            @if (!User.IsInRole("Patient"))
            { @Html.ActionLink("Edit", "Edit", new
        {
            id = item.ID
        }) } |
            @Html.ActionLink("Details", "Details", new
       {
           id = item.ID
       })  |
            @if (User.IsInRole("Admin"))
            { @Html.ActionLink("Delete", "Delete", new
        {
            id = item.ID
        })}
        </td>
    </tr>
}

</table>
